Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1417213 - [RFE] Need to generate list of hosts that don't have katello-agent Installed
Summary: [RFE] Need to generate list of hosts that don't have katello-agent Installed
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Content Management
Version: 6.2.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: Unspecified
Assignee: satellite6-bugs
QA Contact: Katello QA List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-27 14:52 UTC by David Caplan
Modified: 2019-09-26 14:03 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-01-11 18:41:34 UTC
Target Upstream Version:


Attachments (Terms of Use)
search via the UI (61.41 KB, image/png)
2018-01-11 17:33 UTC, Rich Jerrido
no flags Details

Description David Caplan 2017-01-27 14:52:07 UTC
Description of problem:


Version-Release number of selected component (if applicable):

Customer is working with RH CEE on a failed upgrade from 6.1 to 6.2 and is seeking a method to determine which managed hosts are lacking the Katello Agent


How reproducible:
Using the UI or ClI attempt to filter a list of hosts that do not have the Katello Agent installed. The list should include package details to confirm the version of the Katello Agent. Additionally a template should be available to correct this as a bulk action


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 4 Rich Jerrido 2018-01-11 17:33:49 UTC
Created attachment 1380125 [details]
search via the UI

Comment 5 Rich Jerrido 2018-01-11 17:36:51 UTC
This search can be done via the UI (See attachment) as well as the CLI. 

hammer host list --search "not installed_package_name = katello-agent"

This functionality already exists

Comment 6 Bryan Kearney 2018-01-11 18:41:34 UTC
Closing per comment 5.


Note You need to log in before you can comment on or make changes to this bug.